Bug 731794

Summary: Review Request: Qt Quick 3D - Qt 3D for QML scripts
Product: [Fedora] Fedora Reporter: Tomas Miljenović (TomasM) <TomasM>
Component: Package ReviewAssignee: Nobody's working on this, feel free to take it <nobody>
Status: CLOSED NOTABUG QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: jreznik, kevin, mario.blaettermann, notting, package-review, volker27
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-09-17 15:19:13 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 201449    
Attachments:
Description Flags
Demo RPM spec file (unclean)
none
Updated spec file for stand-alone qt-quick3d build none

Description Tomas Miljenović (TomasM) 2011-08-18 12:50:43 EDT
SPEC file:
http://live.tomasm.tk/fedorarepo/TMM/qt-quick3d.spec

SRPM:
http://live.tomasm.tk/fedorarepo/TMM/SRPMS/qt-quick3d-0.tp1.1.TMM.fc15.srpm


Despite what I said on #fedora-kde, this can also be built separately from Qt (just needs qt4 sources); specfile attached
Comment 1 Tomas Miljenović (TomasM) 2011-08-19 07:04:01 EDT
Created attachment 519015 [details]
Demo RPM spec file (unclean)

Spec file for building separately from Qt 4 build.  Binary RPMs shouldn't have any conflicts with Qt from rawhide or kde-redhat.
Comment 2 Tomas Miljenović (TomasM) 2011-08-19 07:07:17 EDT
Apologies; specfile does not contain download location for Source6:
ftp://ftp.qt.nokia.com/qt3d/noarch/2011_05_18/qtquick3d-tp1-src.tar.gz
Comment 3 Volker Fröhlich 2011-08-24 11:41:34 EDT
I have problems downloading your files.
Comment 4 Tomas Miljenović (TomasM) 2011-09-06 05:15:46 EDT
Can you please try
http://live.tomasm.tk/fedorarepo/TMM/qt.spec
for a spec file and
http://tomasm.tk/fedorarepo/TMM/SRPMS/qt-4.8.0-0.10.beta1.TMM.fc15.src.rpm
for an SRPM?

These builds had a dep on libQt3D.so.1 automatically added to the qt-x11 subpackage, which I don't think is necessary (either the requires, or the link).  I'm also unsure how license files or docs should be packaged if this is accepted, or what to do about runtime paths for some of the examples.
Comment 5 Volker Fröhlich 2011-09-07 17:35:35 EDT
I still can't download the Spec and SRPM for the package to review.
Comment 6 Tomas Miljenović (TomasM) 2011-09-07 19:15:41 EDT
Sorry about that Volker.

I'm able to download the SRPM from several different connections.  However, I made a typo in the spec file URL; it should be:
http://tomasm.tk/fedorarepo/TMM/qt.spec
Comment 7 Kevin Kofler 2011-09-08 18:05:21 EDT
Uhm, if you want something to be built as a subpackage of Qt, you have to file a bug against Qt, not a review request. (But to be honest, I'm not sure that we really want to build this as part of Qt now.)

If you want to package this separately, a qt.spec is not the way to go. If this has to be built as part of Qt, we can't really package it separately.
Comment 8 Tomas Miljenović (TomasM) 2011-09-09 01:04:01 EDT
Created attachment 522238 [details]
Updated spec file for stand-alone qt-quick3d build

This spec file builds and packages Qt Quick 3D libraries, development files, demos, examples and tests separately from Qt.  Qt Quick applications and plasmoids importing Qt3D* require the libs to run.
Comment 9 Tomas Miljenović (TomasM) 2011-09-09 01:49:09 EDT
After discussing this with Jaroslav Řezník on #fedora-kde a while back I'd thought this was the way to go, but now I'm not so confident that I correctly remember his recommendations.  However, I am sure that:
- QtQuick3D needs qmake and Qt sources to build, but does not need to be built with the rest of Qt4
- Qt4 X11 libs (and other libs) should not need to link against QtQuick3D* libs
- Qt4 X11 libs (and other libs) don't need to link against Qt3D* libs (not sure if they should for current Fedora policy)

I'd previously attached a qt-quick3d.spec for packaging this separately; I've just updated it, and a source RPM (missing earlier) can be found at:
http://tomasm.tk/fedorarepo/TMM/SRPMS/qt-quick3d-0-tp1.4.TMM.fc15.src.rpm
I've trialled this with some of the bundled Qt3D and QML demos, and a few declarative plasmoids importing Qt3D* bits.

When I first filed the review request, I was still hopeful QtQuick3D would eventually make it into a 4.8 release (and now, I'm not sure if you'd really want to build this as part of Qt 4.x ever).  The only downsides to a separate build that I'm aware of are having a second SRPM carrying the 224M qt open source tarball, and a potential need to rebase some defines or take patches from the qt4 spec file in the future.
Comment 10 Kevin Kofler 2011-09-09 09:29:21 EDT
CCing Jaroslav.
Comment 11 Fedora End Of Life 2012-08-06 16:06:50 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 15. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 15 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Fedora End Of Life 2012-08-06 16:06:50 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 15. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 15 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Kevin Kofler 2012-08-06 17:48:08 EDT
Review requests should always be against Rawhide.
Comment 14 Mario Blättermann 2012-08-26 16:14:30 EDT
Reset to NEW because it is actually assigned to nobody.

BTW, we didn't get any response from the packager for almost one year. Shouldn't we close this review request now and add it to FE-DEADREVIEW?
Comment 15 Mario Blättermann 2012-09-17 15:19:13 EDT
Closing this review request, adding FE-DEADREVIW. Tomas, if your are interested in to reanimate it, reopen the bug report. But as far as I can see, you should file a bug against the qt package instead.